ApplePictParserInternal::Bitmap Struct Reference

Internal and low level: a class used to read pack/unpack black-white bitmap. More...

## Public Member Functions
| Bitmap ()
bool | unpackedData (unsigned char const *pData, int sz)
| creates the bitmap from the packdata
bool | readBitmapData (MWAWInputStream &input, bool packed)
| parses the bitmap data zone
bool | get (MWAWEmbeddedObject &picture) const
| returns the bitmap and the type

## Public Attributes
int | m_rowBytes
| the num of bytes used to store a row
MWAWBox2i | m_rect
| the bitmap rectangle
MWAWBox2i | m_src
| the initial dimension
MWAWBox2i | m_dst
| the final dimension
std::shared_ptr< Region > | m_region
| the region
std::vector< unsigned char > | m_bitmap
| the bitmap
int | m_mode
| the encoding mode ?

## Friends
std::ostream & | operator<< (std::ostream &o, Bitmap const &f)
| operator<< for Bitmap

## Detailed Description

Internal and low level: a class used to read pack/unpack black-white bitmap.

## Constructor & Destructor Documentation

## ◆ Bitmap()

ApplePictParserInternal::Bitmap::Bitmap | ( |  | ) |
| inline

Referenced by operator<<.

## Member Function Documentation

## ◆ get()

bool ApplePictParserInternal::Bitmap::get | ( | MWAWEmbeddedObject & | picture | ) | const
| inline

returns the bitmap and the type

Referenced by ApplePictParser::drawBitmap().

## ◆ readBitmapData()

bool ApplePictParserInternal::Bitmap::readBitmapData | ( | MWAWInputStream & | input,
|  | bool | packed )
| inline

parses the bitmap data zone

Referenced by ApplePictParser::readBitmap().

## ◆ unpackedData()

bool ApplePictParserInternal::Bitmap::unpackedData | ( | unsigned char const * | pData,
|  | int | sz )
| inline

creates the bitmap from the packdata

Referenced by readBitmapData().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Bitmap const & | f )
| friend

operator<< for Bitmap

## Member Data Documentation

## ◆ m_bitmap

std::vector<unsigned char> ApplePictParserInternal::Bitmap::m_bitmap

the bitmap

Referenced by Bitmap(), get(), readBitmapData(), and unpackedData().

## ◆ m_dst

MWAWBox2i ApplePictParserInternal::Bitmap::m_dst

the final dimension

Referenced by Bitmap(), ApplePictParser::drawBitmap(), operator<<, and ApplePictParser::readBitmap().

## ◆ m_mode

int ApplePictParserInternal::Bitmap::m_mode

the encoding mode ?

Referenced by Bitmap(), and ApplePictParser::readBitmap().

## ◆ m_rect

MWAWBox2i ApplePictParserInternal::Bitmap::m_rect

the bitmap rectangle

Referenced by Bitmap(), ApplePictParser::drawBitmap(), get(), operator<<, ApplePictParser::readBitmap(), and readBitmapData().

## ◆ m_region

std::shared_ptr<Region> ApplePictParserInternal::Bitmap::m_region

the region

Referenced by Bitmap(), operator<<, and ApplePictParser::readBitmap().

## ◆ m_rowBytes

int ApplePictParserInternal::Bitmap::m_rowBytes

the num of bytes used to store a row

Referenced by Bitmap(), get(), operator<<, ApplePictParser::readBitmap(), readBitmapData(), and unpackedData().

## ◆ m_src

MWAWBox2i ApplePictParserInternal::Bitmap::m_src

the initial dimension

Referenced by Bitmap(), operator<<, and ApplePictParser::readBitmap().

The documentation for this struct was generated from the following file:

- ApplePictParser.cxx